﻿@model IEnumerable<BookViewModel>

<h1>My Books</h1>
<table class="table table-hover text-info text-decoration-none">
    <thead class="thead-light">
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.Title)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Year)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.AuthorsNames)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Status)
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
        @foreach (var item in Model)
        {
            <tr>
                <td>
                    @Html.DisplayFor(modelItem => item.Title)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Year)
                </td>
                <td>
                    @foreach (var pesho in item.AuthorsNames)
                    {
                        @Html.DisplayFor(modelItem => pesho)
                        <br />
                    }
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Status)
                </td>
                <td>
                    <div class="btn-group btn-group-sm" role="group" aria-label="Basic example">
                        
                        @if (Model.FirstOrDefault(bvm => bvm.Status == "Taken" &&
                                             bvm.Id == item.Id) != null)
                        {
                            <button type="button" class="btn btn-secondary bg-transparent border-0">
                                <a asp-action="Return" asp-route-bookId="@item.Id">
                                    <img class="d-flex ml-3" src="~/lib/images/ReturnTrans.png" alt="Return" width="100">
                                </a>
                            </button>
                        }
                        else if (Model.FirstOrDefault(bvm => bvm.Status == "Taken" &&
                                                      bvm.Id == item.Id) != null)
                        {
                            <button type="button" class="btn btn-secondary bg-transparent border-0">
                                <a asp-action="Reserve" asp-route-bookId="@item.Id">
                                    <img class="d-flex ml-3" src="~/lib/images/ReserveTrans.png" alt="Reserve" width="100">
                                </a>
                            </button>
                        }
                        else if (Model.FirstOrDefault(bvm => bvm.Status == "Reserved" && bvm.UserId == bvm.CurrentUserId &&
                        bvm.Id == item.Id) != null)
                        {
                            <button type="button" class="btn btn-secondary bg-transparent border-0">
                                <a asp-action="Return" asp-route-bookId="@item.Id">
                                    <img class="d-flex ml-3" src="~/lib/images/ReturnTrans.png" alt="Return" width="100">
                                </a>
                            </button>
                        }
                        else
                        {
                            <button type="button" class="btn btn-secondary bg-transparent border-0">
                                <a asp-action="Checkout" asp-route-bookId="@item.Id">
                                    <img class="d-flex ml-3" src="~/lib/images/ChecoutTrans.png" alt="Checkout" width="100">
                                </a>
                            </button>
                        }
                    </div>
                </td>
            </tr>
        }
    </tbody>
</table>